FROM openjdk:8u342
# 作者
MAINTAINER hsay
# VOLUME 指定了临时文件目录为/tmp。
VOLUME /tmp
# 设置时区
ENV TZ=Asia/Shanghai

RUN /bin/cp /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
RUN echo "Asia/Shanghai" > /etc/timezone

# 将jar包添加到容器中并更名为app.jar
ARG JAR_FILE
ADD target/coolstore-partner-webb-1.0.0.jar /app.jar
#配置项目端口

# 运行jar包
RUN bash -c 'touch /app.jar'
ENTRYPOINT ["sh","-c","java -jar $JAVA_OPTS /app.jar $PARAMS"]